DocsHTTP APIGet current user

Get current user

Get current user. Use GET /users in Chronoverse, with authentication, parameters, and response details.

GET
/users

Authentication

cookieSession
apiKey
required

Encrypted session cookie issued after registration or login.

cookie: session

Parameters

This operation has no path, query, header, or cookie parameters.

Responses

200

Current user profile

application/json
{
  "type": "object",
  "required": [
    "email",
    "notification_preference",
    "created_at",
    "updated_at"
  ],
  "properties": {
    "email": {
      "type": "string",
      "format": "email"
    },
    "notification_preference": {
      "type": "string",
      "enum": [
        "ALL",
        "NONE"
      ]
    },
    "created_at": {
      "type": "string",
      "format": "date-time"
    },
    "updated_at": {
      "type": "string",
      "format": "date-time"
    }
  }
}
401

Missing or invalid session

429

Ingress rate or connection limit exceeded for the client address